<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (14.0.2) on Tue Oct 27 22:58:03 CET 2020 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-27">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="all-classes-index">
<script type="text/javascript">var data = {"i0":2,"i1":2,"i2":2,"i3":1,"i4":2,"i5":1,"i6":2,"i7":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<div class="typeSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="typeSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Classes</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Interface Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Class Summary</button></div>
<div id="typeSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><a href="com/processo/sviluppo/springbootapp/controller/MainController.html" title="class in com.processo.sviluppo.springbootapp.controller">MainController</a></td>
<th class="colLast" scope="row">
<div class="block">La classe MainController contiene il controller che esegue i metodi GET che servono a postare o mostrare i messaggi caricati sul
 database.</div>
</th>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><a href="com/processo/sviluppo/springbootapp/service/MainService.html" title="class in com.processo.sviluppo.springbootapp.service">MainService</a></td>
<th class="colLast" scope="row">
<div class="block">La classe MainService si occupa di preparare le liste e i messaggi per chiamare il MessageRepository, allo scopo di salvare o 
 recuperare i messaggi salvati sul database.</div>
</th>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><a href="com/processo/sviluppo/springbootapp/model/Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a></td>
<th class="colLast" scope="row">
<div class="block">La classe Message e' l'entita' che rappresenta il messaggio, composto da un codice id che lo identifica univocamente dagli altri
 messaggi e un testo.</div>
</th>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><a href="com/processo/sviluppo/springbootapp/repository/MessageRepository.html" title="interface in com.processo.sviluppo.springbootapp.repository">MessageRepository</a></td>
<th class="colLast" scope="row">
<div class="block">La classe MessageRepository si occupa di salvare e recuperare le entitÃ  messaggio dal database.</div>
</th>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><a href="com/processo/sviluppo/springbootapp/model/Recipient.html" title="class in com.processo.sviluppo.springbootapp.model">Recipient</a></td>
<th class="colLast" scope="row">
<div class="block">La classe Recipient e' l'entita' che rappresenta il destinatario di un messaggio, composto da un codice id che lo identifica univocamente dagli altri
 destinatari, un nome e il messaggio di cui Ã¨ recipient.</div>
</th>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><a href="com/processo/sviluppo/springbootapp/repository/RecipientRepository.html" title="interface in com.processo.sviluppo.springbootapp.repository">RecipientRepository</a></td>
<th class="colLast" scope="row">
<div class="block">La classe RecipientRepository si occupa di salvare e recuperare le entitÃ  destinatario dal database.</div>
</th>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><a href="com/processo/sviluppo/springbootapp/service/RecipientService.html" title="class in com.processo.sviluppo.springbootapp.service">RecipientService</a></td>
<th class="colLast" scope="row">
<div class="block">La classe RecipientService si occupa di preparare i destinatari per chiamare il RecipientRepository, allo scopo di salvare o 
 recuperare i destinatari salvati sul database.</div>
</th>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><a href="com/processo/sviluppo/springbootapp/SpringbootAppApplication.html" title="class in com.processo.sviluppo.springbootapp">SpringbootAppApplication</a></td>
<th class="colLast" scope="row">
<div class="block">SpringbootAppApplication e' la classe che serve ad eseguire la web app springboot-app,
 parte dell'assignment 1 del corso di Processo e Sviluppo del Software.</div>
</th>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
